.ContractTable {
    margin-top: 20px;
    height: calc(100vh - 140px);
    overflow-y: auto;

    table {
        width: 100%;

        tr {

            th {
                background: #7b7b7b;
                color: white;
                font-weight: 400;
                font-size: 13px;
                padding: 15px 10px;

                i {
                    display: inline-block;
                    padding-left: 5px;
                    cursor: pointer;

                    &.fa-arrow-down {
                        font-size: 12px;
                    }
                }
            }

            td {
                font-weight: 400;
                font-size: 11px;
                padding: 5px 10px;
                border-bottom: 1px solid #d5d5d5;
                cursor: pointer;

                &:first-child {
                    border-left: 5px solid #d5d5d5;
                }

                &:last-child {
                    border-right: 5px solid #d5d5d5;
                }

                small {
                    color: #545454;

                    &.owner {
                        letter-spacing: 0.5px;
                    }
                }

                .contract-name,
                .supplier-name,
                .contract-date {
                    margin: 0px;
                    font-size: 11px;
                }

                i {
                    display: inline-block;

                    &.fa-hourglass-start {
                        padding-right: 10px;
                        animation: rotation 3s infinite linear;
                    }
                }
            }

            &:nth-child(even) {
                td {
                    background: white;
                }
            }

            &:nth-child(odd) {
                td {
                    background: #f7f5f5;
                }
            }
        }
    }
}

@keyframes rotation {
    0% {
        -webkit-transform: rotateX(0deg);
    }

    33% {
        -webkit-transform: rotateX(180deg);
    }

    66% {
        -webkit-transform: rotateX(0deg);
    }

    100% {
        -webkit-transform: rotateX(180deg);
    }
}